# -*- coding: utf-8 -*-
from setuphelpers import *


r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

UninstallKey                           Software                                                              Version             Uninstallstring
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
fbd30ee5-8150-549e-9aed-fd9d444364fb   XMind 11.1.2                                                          11.1.2              "C:\Program Files\XMind\Uninstall XMind.exe" /allusers
XMind_is1                              XMind 8 Update 9 (v3.7.9)                                             3.7.9.201912052356  "C:\Program Files (x86)\XMind\unins000.exe"

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "XMind-for-Windows-"
silentflags = "/allusers /S"
app_uninstallkey = "fbd30ee5-8150-549e-9aed-fd9d444364fb"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.exe" % bin_contains)[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags=silentflags,
        key=app_uninstallkey,
        min_version=package_version,
    )



